aboutsummaryrefslogtreecommitdiffstats
path: root/main/libebml/APKBUILD
diff options
context:
space:
mode:
authorTimo Teräs <timo.teras@iki.fi>2015-04-22 09:09:08 +0300
committerTimo Teräs <timo.teras@iki.fi>2015-04-22 09:09:08 +0300
commit2ac050496ab18db605c0cddd3acbda57163d2dbf (patch)
tree39a818a7fbe1fdff3b2e0bc03a18be1806cf3228 /main/libebml/APKBUILD
parent99efa6b4ada857e5367ca18e31143efb078be492 (diff)
downloadaports-2ac050496ab18db605c0cddd3acbda57163d2dbf.tar.gz
aports-2ac050496ab18db605c0cddd3acbda57163d2dbf.tar.bz2
aports-2ac050496ab18db605c0cddd3acbda57163d2dbf.tar.xz
main/libeml: upgrade to 1.3.1
Diffstat (limited to 'main/libebml/APKBUILD')
-rw-r--r--main/libebml/APKBUILD18
1 files changed, 12 insertions, 6 deletions
diff --git a/main/libebml/APKBUILD b/main/libebml/APKBUILD
index 03defb8b3f..94668b1d52 100644
--- a/main/libebml/APKBUILD
+++ b/main/libebml/APKBUILD
@@ -1,7 +1,7 @@
# Contributor: Timo Teräs <timo.teras@iki.fi>
# Maintainer: Timo Teräs <timo.teras@iki.fi>
pkgname=libebml
-pkgver=1.3.0
+pkgver=1.3.1
pkgrel=0
pkgdesc="a C++ library to parse Extensible Binary Meta-Language files"
url="http://www.matroska.org/"
@@ -27,14 +27,20 @@ prepare() {
build() {
cd "$_builddir"
- make -C make/linux
+ ./configure \
+ --build=$CBUILD \
+ --host=$CHOST \
+ --prefix=/usr \
+ --disable-static \
+ || return 1
+ make || return
}
package() {
cd "$_builddir"
- make -C make/linux install prefix="$pkgdir/usr"
+ make install DESTDIR="$pkgdir"
}
-md5sums="efec729bf5a51e649e1d9d1f61c0ae7a libebml-1.3.0.tar.bz2"
-sha256sums="83b074d6b62715aa0080406ea84d33df2e44b5d874096640233a4db49b8096de libebml-1.3.0.tar.bz2"
-sha512sums="f5687af60e94f167cd341c24f038d57735d447b6279e96b916e3b0a98ca141f3c241ef4c46dd55ac87b0f6007eb14835e0f2a602f89610fcc0b4f93e8b9c87ab libebml-1.3.0.tar.bz2"
+md5sums="2d5a0e502fabedfded2a890c6b5513a5 libebml-1.3.1.tar.bz2"
+sha256sums="195894b31aaca55657c9bc157d744f23b0c25597606b97cfa5a9039c4b684295 libebml-1.3.1.tar.bz2"
+sha512sums="b42d198611e480a4938fe95b920f6ee6ca37453f9551990e4310ed82651f93284f1de1d871357b6280219634bbbf6a98d4ac988e25e7bd7b5bbf5c0ba5766334 libebml-1.3.1.tar.bz2"